import ldap
import ldap.modlist as modlist
import settings

l = None
# Connect to LDAP using python-LDAP
try:
        ldap.set_option(ldap.OPT_X_TLS_CACERTFILE,settings.TLS_CACERTFILE)
        ldap.set_option(ldap.OPT_X_TLS_REQUIRE_CERT,ldap.OPT_X_TLS_NEVER)

        l = ldap.initialize(settings.LDAP_HOST)
        l.simple_bind(settings.LDAP_ADMIN, settings.LDAP_PASSWORD)
except ldap.LDAPError as le:
        print ("LDAP Connection Error - %s", le)
        if l:
                l.unbind()

try:
        attrsGroup     = {}
        #groupDN = "gidNumber=12806"  + "," + settings.groupsDN
        attrsGroup['objectclass']      = ['Swestore','posixgroup']
        attrsGroup['cn']               = 'reference_4'
        attrsGroup['description']      = ['6806', '9948']
        attrsGroup['piMemberID']       = '32851'
        attrsGroup['memberUID']        = ['s_jenme', 's_jesno', 's_gerro', 's_chawa']
        attrsGroup['resourceID']       = ['31']
        attrsGroup['projectEndDate']   = '2019-11-01'
        attrsGroup['lastModifiedTime'] = '2018-10-30 16:50:36'

        #ldif = modlist.addModlist(attrsGroup)
        #l.add_s(groupDN,ldif)

	groupDN = "gidNumber=16575" + "," + settings.groupsDN
	#l.delete_s(groupDN)
	oldMemberUid = [(ldap.MOD_DELETE, 'memberUid', '')]
        newMemberUid = [(ldap.MOD_ADD, 'memberUid', '32691' )]

        self.l.modify_s(groupDN,oldMemberUid)
        self.l.modify_s(groupDN,newMemberUid)

except ldap.LDAPError as le:
        print ("LDAP Error -- %s",le)

