#!/usr/bin/python
#! -*- coding: utf-8 -*-

# Settings File for supr_swestore
# Copy this file to settings.py

import datetime

SUPR_API_USER_NAME  = ""
SUPR_API_PASSWORD   = ""
SUPR_BASE_URL       = ""

# LDAP HOST
HOST_NAME           = ""
LDAP_PORT           = ""
LDAP_HOST           = "ldaps://" + HOST_NAME + ":" + LDAP_PORT

# LDAP BIND DN
baseDN              = ""
LDAP_ADMIN          = ""
LDAP_PASSWORD       = ""

# TLS Certificate Paths
TLS_CACERTDIR       = "/etc/openldap/certs/"
TLS_CACERTFILE      = ""
TLS_CERTFILE        = ""
TLS_KEYFILE         = ""

# LDAP DN
groupsDN            = "ou=Groups," + baseDN
peopleDN            = "ou=People," + baseDN
uidNumberStart      = 30000
gidNumberStart      = 6000

# Centre Resource ID in SUPR for Swestore
resource_centre_id  = 9
PDC_centre_id       = 7

# PDC Kerberos tag
PDC_kerberos       = ""

# dcache Resource ID in SUPR for Swestore
dcache_resource_id  = ""

# Kerberos settings
keytab              = ""
adminprincipal      = ""

# Get a date object
today               = datetime.date.today().strftime("%Y-%m-%d")

BASEDIR             = ""
DELETE_LOG_FILE     = BASEDIR + "logs/delete_" + str(today) + ".log"
LOG_FILE            = BASEDIR + "logs/ldap_" + str(today) + ".log"
LOG_FILE_MODE       = 'a'
LOG_FILE_FORMAT     = '%(asctime)s - %(name)s - %(levelname)s - %(message)s'
LOG_FILE_DATEFORMAT = '%H:%M:%S'

# DCache Admin Mail Ids to send mail
DCACHE_ADMIN_MAIL   = ""

# Send Mail Attributes
SMTP_HOST           = 'localhost'
SMTP_PORT           = 25

FROM_ADDRS          = 'supr@' + HOST_NAME

LDAP_SUBJECT        = "SUPR - SWESTORE LDAP Integration Daily Mail"
LDAP_DEL_SUBJECT    = "SUPR - SWESTORE LDAP Deletion Mail"
